"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("lodash");
function Debounce(timeMs) {
    return function (target, propertyKey, descriptor) {
        if (descriptor === undefined) {
            descriptor = Object.getOwnPropertyDescriptor(target, propertyKey);
        }
        var originalMethod = descriptor.value;
        /* tslint:disable */
        descriptor.value = _.debounce(function () {
            var args = Array.from(arguments);
            return originalMethod.apply(this, args);
        }, timeMs);
        /* tslint:enable */
        return descriptor;
    };
}
exports.Debounce = Debounce;
;
//# sourceMappingURL=Debounce.decorator.js.map